Subject: Re: [Shop-talk] Noise cancelling headphones ([email-masked])

From: Mark Miller <[email-masked]>
Date: Sat, 14 Nov 2020 00:10:56 -0800

I have the bluetooth version of these and I think they are quite good.  
Battery life (built in rechargeable, not replaceable) has been 
excellent.  I like the bluetooth feature, as I like to listen to music 
or podcasts from my phone.  But: they are not noise cancelling, just 
plain old ear protection.

And also note that they are $15 cheaper at Amazon.

Regards,

Mark Miller   707-490-5834
[email-masked]

> From: [email-masked]
> To: [email-masked]
> Subject: [Shop-talk] Noise cancelling headphones
> Message-ID:
> 	<[email-masked]>
> 	
> Content-Type: text/plain; charset="us-ascii"
>
> I was looking for recommendations for a good noise canceling set of
> headphones with a built in radio (and mp3 player is a plus)
> I prefer normal batteries instead of built in rechargeable ones. Bluetooth
> isn't a consideration as I will most likely never use that.
>
> Here is the leader I found so far...
>
> https://www.northerntool.com/shop/tools/product_200356514_200356514
>
>
> Does anyone have an other recommendations?  This will mostly be used when
> cutting grass/ chainsaw / using a wood chipper etc.
>
> I do want to make sure the cushion is soft enough to seal when I am
> wearing eye protection (or is there a better way to wear eyepro when using
> headphones?)
>
> Thanks in advance.
>
>
>
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.96
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]